<%
'---------------------------------------------------------------------------------------------------------'
'function scrivi_nodo(pathxml,nomenodo,valore) ### scrivi nodo'
'function lettura_nodo(pathxml,nomenodo,valore) ### lettura nodo'
'function crea_nodo(pathxml,nomenodo, rootnodo,valore) ### crea nodo'
'function rimuovi_nodo(pathxml,nomenodo) ### rimuovi nodo'
'function sostituisci_nodo(pathxml,nodo,nuovonodo) ### sostituisci nodo'
'function sposta_file(pathorigine, pathdestinazione) ### sposta file'
'function elimina_file(path) ### elimina file'
'function sposta_cartella(pathorigine, pathdestinazione) ### sposta cartella'
'function elimina_cartella(path) ### elimina cartella'
'function scompatta_zip(pathorigine, pathdestinazione) ### scompatta zip'
'function crea_attributo(pathxml,nomenodo, rootnodo, valore) ### crea attributo'
'function crea_testo(pathtml, contenuto) ### crea testo'
'---------------------------------------------------------------------------------------------------------'
'### crea_testo'
function crea_testo(pathhtml, contenuto)
{
var objFSO = new ActiveXObject("Scripting.FileSystemObject");
objTextFile = objFSO.CreateTextFile(pathhtml, true);
objTextFile.Write(contenuto);
objTextFile.Close();
objFSO = null;
objTextFile = null;
}
'---------------------------------------------------------------------------------------------------------'
'### lettura attributo'
function lettura_attributo(pathxml,nomenodo, attributo)
{
	try
	{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);

var a = xmldom.selectSingleNode(nomenodo);
var valore = String(a.getAttribute(attributo));

xmldom = null;

return valore;
	}
	catch(e)
	{
	return e;
	}
}
'---------------------------------------------------------------------------------------------------------'
'### crea attributo'
function crea_attributo(pathxml,nomenodo, attributo, valore)
{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);

var a = xmldom.selectSingleNode(nomenodo);
a.setAttribute(attributo, valore);

xmldom.save(pathxml);

xmldom = null;
}
'---------------------------------------------------------------------------------------------------------'
'### scrivi nodo'
function scrivi_nodo(pathxml,nomenodo,valore)
{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);

var a = xmldom.selectSingleNode(nomenodo);

a.text = valore;

xmldom.save(pathxml);

xmldom = null;
}
'---------------------------------------------------------------------------------------------------------'
'### lettura nodo'
function lettura_nodo(pathxml,nomenodo)
{
	try
	{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);

var a = xmldom.selectSingleNode(nomenodo);
var valore = String(a.text);

xmldom = null;

return valore;
	}
	catch(e)
	{
	return e;
	}

}
'---------------------------------------------------------------------------------------------------------'
'### crea nodo'
function crea_nodo(pathxml, nomenodo, valore)
{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);

var a = xmldom.documentElement;
var b = xmldom.createElement(nomenodo);
a.appendChild(b);
b.text = valore;

xmldom.save(pathxml);

xmldom = null;
}
'---------------------------------------------------------------------------------------------------------'
'### rimuovi nodo'
function rimuovi_nodo(pathxml, nomenodo)
{
	try
	{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);

var a = xmldom.selectSingleNode(nomenodo);
var b = xmldom.documentElement.removeChild(a)

xmldom.save(pathxml);

xmldom = null;
	}
	catch(e)
	{
	Response.Write(e);
	}
}
'---------------------------------------------------------------------------------------------------------'
'### sostituisci nodo'
function sostituisci_nodo(pathxml,nodo,nuovonodo)
{
var xmldom = new ActiveXObject("Microsoft.XMLDOM");

xmldom.async = false;
xmldom.load(pathxml);
		
var a = xmldom.selectSingleNode(nodo);
var b = xmldom.selectSingleNode(nuovonodo);
var c = xmldom.documentElement.replaceChild(b, a);

xmldom.save(pathxml);

xmldom = null;
}
'---------------------------------------------------------------------------------------------------------'
'### sposta file'
function sposta_file(pathorigine, pathdestinazione)
{
var fsoObject = new ActiveXObject("Scripting.FileSystemObject");
filObject = fsoObject.GetFile(pathorigine);
filObject.Copy(pathdestinazione);
filObject.Delete();
fsoObject = null;
}
'---------------------------------------------------------------------------------------------------------'
'### copia file'
function copia_file(pathorigine, pathdestinazione)
{
var fsoObject = new ActiveXObject("Scripting.FileSystemObject");
filObject = fsoObject.GetFile(pathorigine);
filObject.Copy(pathdestinazione);
fsoObject = null;
}
'---------------------------------------------------------------------------------------------------------'
'### elimina file'
function elimina_file(path)
{
var fsoObject = new ActiveXObject("Scripting.FileSystemObject");

filObject = fsoObject.GetFile(path);
filObject.Delete();
fsoObject = null;
}
'---------------------------------------------------------------------------------------------------------'
'### sposta cartella'
function sposta_cartella(pathorigine, pathdestinazione)
{
var fsoObject = new ActiveXObject("Scripting.FileSystemObject");

filObject = fsoObject.GetFolder(pathorigine);
filObject = fsoObject.Copy(pathdestianzione);
filObject.Delete();

fsoObject = null;
}
'---------------------------------------------------------------------------------------------------------'
'### Crea Cartella'
function crea_cartella(path)
{
	try
	{
	var fsoObject = new ActiveXObject("Scripting.FileSystemObject");

	fsoObject.CreateFolder(path);

	fsoObject = null;
	}
	catch(e)
	{
	
	}
}
'---------------------------------------------------------------------------------------------------------'
'### Elimina Cartella'
function elimina_cartella(path)
{
	try
	{
	var fsoObject = new ActiveXObject("Scripting.FileSystemObject");

		if (fsoObject.FolderExists(path))
		{
		filObject = fsoObject.GetFolder(path);
		filObject.Delete();
		}

	fsoObject = null;
	}
	catch(e)
	{
	
	}
}
'---------------------------------------------------------------------------------------------------------'
'### scompatta zip'
function scompatta_zip(pathorigine, pathdestinazione)
{
	try
	{
	var objZip = new ActiveXObject("XStandard.Zip");

	objZip.UnPack(pathorigine, pathdestinazione);

	objZip = null;
	}
	catch(e)
	{
	
	}
}
'---------------------------------------------------------------------------------------------------------'
'### compatta zip'
function compatta_zip(pathorigine, filedestinazione)
{
var objZip = new ActiveXObject("XStandard.Zip");
objZip.Pack (pathorigine, filedestinazione);
objZip = null;
}
'---------------------------------------------------------------------------------------------------------'
'### CheckFileExist zip'
function CheckFileExists(sFileName)
{
var esiste = false;
var objFSO = new ActiveXObject("Scripting.FileSystemObject");

if (objFSO.FileExists(sFileName))
{
esiste = true;
}

objFSO = null;

return esiste;
}
'---------------------------------------------------------------------------------------------------------'
'### sostituisci_ascii'
function sostituisci_ascii(valore)
{
	var carattere = new Array();
	
	for (var n = 0; n <= valore.length; n++)
	{
		carattere[n] = String(valore).slice(n,n+1);
		
		if (String(carattere[n]).charCodeAt() >= 224)
		{
		carattere[n] = "&#" + String(carattere[n]).charCodeAt() + ";";
		}
	}
	
	return carattere.join("");
}
'---------------------------------------------------------------------------------------------------------'
%>