<%
'---------------------------------------------------------------------------------------------------------'
'function inizio_tracking_connessione() ### inizializza tracking connessione'
'function fine_tracking_connessione() ### fine tracking connessione'
'function aggiungi_tracking_app() ### aggiungi tracking applicazione'
'function aggiungi_tracking_app_foundation() ### aggiungi tracking applicazione foundation'
'function aggiorna_interfaccia() ### aggiorna_interfaccia'
'---------------------------------------------------------------------------------------------------------'
'### inizializza tracking connessione'
function inizio_tracking_connessione()
{
'### Info'
var esiste_anagrafica_tabella = true;
var UID = String(Session("WBT_UID"));
var REMOTE_ADDR = String(Request.ServerVariables("REMOTE_ADDR"));
var HTTP_USER_AGENT = String(Request.ServerVariables("HTTP_USER_AGENT"));

crea_sessione("WBT_TK_TIS", anagrafica_tabella);

var Accesso = String(Data_Testo_Esteso());

apri_connessione("WBT_Tracciamento",1);

sSQL = "SELECT tis FROM tis_anagrafica WHERE tis = '" + anagrafica_tabella + "'";

oRs[1].Open(sSQL, oConn, 3, 3);

if (oRs[1].RecordCount > 0)
{
esiste_anagrafica_tabella = true;
}
else
{
esiste_anagrafica_tabella = false;
}

oRs[1].Close();

'### Creazione Tabelle TIS'
if (esiste_anagrafica_tabella == false)
{
'### Connessione'
sSQL = "CREATE TABLE [" + anagrafica_tabella + "_connessione] ([CID] INT IDENTITY (1, 1) NOT FOR REPLICATION PRIMARY KEY, [UID] INT NOT NULL, [REMOTE_ADDR] VARCHAR(16), [HTTP_USER_AGENT] VARCHAR(255), [Accesso] BIGINT, [Uscita] BIGINT)";

oConn.Execute(sSQL);

'### Applicazioni'
sSQL = "CREATE TABLE [" + anagrafica_tabella + "_app] ([TID] INT IDENTITY (1, 1) NOT FOR REPLICATION PRIMARY KEY, [CID] INT NOT NULL, [PATH_INFO] VARCHAR(255), [QUERY_STRING] VARCHAR(255), [Accesso] BIGINT, [ZID] INT, [ZNome] VARCHAR(50), [GID] INT, [GNome] VARCHAR(50), [AID] INT, [ANome] VARCHAR(50), [Dettaglio] VARCHAR(255))";

oConn.Execute(sSQL);

'### Tracciamento SCORM'
sSQL = "CREATE TABLE [" + anagrafica_tabella + "_scorm] ([TSID] INT IDENTITY (1, 1) NOT FOR REPLICATION PRIMARY KEY, [CID] INT NOT NULL, [ZID] INT, [ZNome] VARCHAR(50), [GID] INT, [GNome] VARCHAR(50), [CWID] INT NOT NULL, [SID] INT NOT NULL, [cmi] VARCHAR(100), [value] VARCHAR(100), [Born]  BIGINT);";

oConn.Execute(sSQL);

'### Aggiorna Anagrafica'
sSQL = "INSERT INTO tis_anagrafica (tis, Born) values ('" + anagrafica_tabella + "','" + Accesso + "')";

oConn.Execute(sSQL);
}

'### Scrivi Dati'
sSQL = "INSERT INTO " + anagrafica_tabella + "_connessione (UID, REMOTE_ADDR, HTTP_USER_AGENT, Accesso) values ('" + UID + "','" + REMOTE_ADDR + "','" + HTTP_USER_AGENT + "','" + Accesso + "')";

oConn.Execute(sSQL);

	'### Crea Session CID'
	sSQL = "SELECT CID FROM " + anagrafica_tabella + "_connessione WHERE UID = '" + UID + "' AND REMOTE_ADDR = '" + REMOTE_ADDR + "' AND HTTP_USER_AGENT = '" + HTTP_USER_AGENT + "' AND Accesso = '" + Accesso + "'";
	
	oRs[1].Open(sSQL, oConn, 3, 3);

	if (oRs[1].RecordCount > 0)
	{
	crea_sessione("WBT_TK_CID", String(oRs[1](0)));
	}

	oRs[1].Close();

chiudi_connessione("WBT_Tracciamento",1);
}
'---------------------------------------------------------------------------------------------------------'
'### fine tracking connessione'
function fine_tracking_connessione(CID, tis, UID, URL)
{

	if (String(tis) == "undefined")
	{
	tis = String(anagrafica_tabella);
	}
	else
	{
	tis = tis;
	}

'### Info'
var Uscita = String(Data_Testo_Esteso());

'### Scrivi Dati'
apri_connessione("WBT_Tracciamento",1);

sSQL = "UPDATE " + tis + "_connessione SET Uscita = '" + Uscita + "' WHERE CID = '" + CID + "'";

oConn.Execute(sSQL);

chiudi_connessione("WBT_Tracciamento",1);

'### Memorizzo Interfaccia'
apri_connessione("WBT_Sistema",1);

sSQL = "UPDATE wbt_interfaccia SET URL = '" + URL + "' WHERE UID = " + UID + "";

oConn.Execute(sSQL);

chiudi_connessione("WBT_Sistema",1);
}
'---------------------------------------------------------------------------------------------------------'
'### aggiungi tracking applicazione'
function aggiungi_tracking_app(Dettaglio)
{

	'### Cambio mese su connessione attiva'
	if (String(Session("WBT_TK_TIS")) != String(anagrafica_tabella))
	{
	fine_tracking_connessione(String(Session("WBT_TK_CID")), String(Session("WBT_TK_TIS")));
	inizio_tracking_connessione();
	}

'### Info'
var PATH_INFO = String(Request.ServerVariables("PATH_INFO"));
var QUERY_STRING = String(Request.ServerVariables("QUERY_STRING"));
var Accesso = String(Data_Testo_Esteso());

var CID = String(Session("WBT_TK_CID"));

var ZID = String(Session("WBT_ZID"));
var ZNome = String(Session("WBT_ZNome"));
var GID = String(Session("WBT_GID"));
var GNome = String(Session("WBT_GNome"));
var AID = String(Session("WBT_AID"));
var ANome = String(Session("WBT_ANome"));

var Dettaglio = String(Dettaglio);

apri_connessione("WBT_Tracciamento",1);

sSQL = "INSERT INTO " + anagrafica_tabella + "_app (CID, PATH_INFO, QUERY_STRING, Accesso, ZID, ZNome, GID, GNome, AID, ANome, Dettaglio) values ('" + CID + "','" + check_campo_sql(String(PATH_INFO)) + "','" + check_campo_sql(String(QUERY_STRING)) + "','" + Accesso + "', '" + ZID + "', '" + check_campo_sql(String(ZNome)) + "', '" + GID + "', '" + check_campo_sql(String(GNome)) + "', '" + AID + "', '" + check_campo_sql(String(ANome)) + "', '" + check_campo_sql(String(Dettaglio)) + "')";

oConn.Execute(sSQL);

chiudi_connessione("WBT_Tracciamento",1);
}
'---------------------------------------------------------------------------------------------------------'
'### aggiungi tracking applicazione foundation'
function aggiungi_tracking_app_foundation(Dettaglio)
{

	'### Cambio mese su connessione attiva'
	if (String(Session("WBT_TK_TIS")) != String(anagrafica_tabella))
	{
	fine_tracking_connessione(String(Session("WBT_TK_CID")), String(Session("WBT_TK_TIS")));
	inizio_tracking_connessione();
	}

'### Info'
var PATH_INFO = String(Request.ServerVariables("PATH_INFO"));
var QUERY_STRING = String(Request.ServerVariables("QUERY_STRING"));
var Accesso = String(Data_Testo_Esteso());

var CID = String(Session("WBT_TK_CID"));

var AFNome = String(Session("WBT_AFNome"));

var Dettaglio = String(Dettaglio);

apri_connessione("WBT_Tracciamento",1);

sSQL = "INSERT INTO " + anagrafica_tabella + "_app_foundation (CID, PATH_INFO, QUERY_STRING, Accesso, AFNome, Dettaglio) values ('" + CID + "','" + check_campo_sql(String(PATH_INFO)) + "','" + check_campo_sql(String(QUERY_STRING)) + "','" + Accesso + "', '" + check_campo_sql(String(AFNome)) + "', '" + check_campo_sql(String(Dettaglio)) + "')";

oConn.Execute(sSQL);

chiudi_connessione("WBT_Tracciamento",1);
}
'---------------------------------------------------------------------------------------------------------'
'### aggiorna interfaccia'
function aggiorna_interfaccia()
{
var UID = eval(Session("WBT_UID"));
var GID = eval(Session("WBT_GID"));
var ZID = eval(Session("WBT_ZID"));

apri_connessione("WBT_Sistema",1);

sSQL = "UPDATE wbt_interfaccia SET GID = " + GID + ", ZID = " + ZID + " WHERE UID = '" + UID + "'";

oConn.Execute(sSQL);

chiudi_connessione("WBT_Sistema",1);
}
'---------------------------------------------------------------------------------------------------------'
'### Definizione'
%>